Bug 1293137 - When `systemd --user` is not running, logging in into a gnome session immediately suspends PC
When `systemd --user` is not running, logging in into a gnome session immedia...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 10:14 EST by Christian Stadelmann
Modified: 2017-12-12 06:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:08:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-12-20 10:14:18 EST
Description of problem:
Sometimes gnome-shell messes up or I change user permissions (e.g. groups a user belongs to). In these cases I need to run things like `killall -u username -SIGTERM`. After that my computer immediately suspends when logging in into a gnome session.

Version-Release number of selected component (if applicable):
systemd-222-10.fc23.x86_64
gnome-session-3.18.1.2-2.fc23.x86_64
gnome-shell-3.18.3-1.fc23.x86_64
gtk3-3.18.6-1.fc23.x86_64
glib2-2.46.2-1.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. (optional) logout
2. kill all remaining user processes, e.g. by running `killall -u username -SIGTERM`
3. switch to gdm
4. log in

Actual results:
System immediately suspends.

Expected results:
System shouldn't suspend. There is no reason to do so.

Additional info:
This can not be reproduced when logging in into a tty.
Other users have seen this when suspend buttons were misinterpreted: https://askubuntu.com/questions/617589/ubuntu-15-04-jumps-into-standby-after-login . I am on a desktop machine which doesn't have these. And this issue is not present on first login after boot since `systemd --user` gets started by some process.
Comment 1 Christian Stadelmann 2016-09-28 13:35:02 EDT
Still present on Fedora 24.
Comment 2 Fedora End Of Life 2017-11-16 14:44:22 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 06:08:44 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.